<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>CBUFF Driver Error Codes</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">CBUFF Driver Error Codes<div class="ingroups"><a class="el" href="group___c_b_u_f_f___d_r_i_v_e_r.html">CBUFF Driver</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all the error codes which are generated by the CBUFF Driver module.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gab639fc36e501d0d6cca6e0f34f68c12a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gab639fc36e501d0d6cca6e0f34f68c12a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_b_u_f_f___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gab639fc36e501d0d6cca6e0f34f68c12a">CBUFF_EINVAL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_CBUFF_BASE-1)</td></tr>
<tr class="memdesc:gab639fc36e501d0d6cca6e0f34f68c12a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Invalid argument. <br /></td></tr>
<tr class="separator:gab639fc36e501d0d6cca6e0f34f68c12a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7ce20c2435274e5dd568356a0ee82430"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga7ce20c2435274e5dd568356a0ee82430"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_b_u_f_f___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga7ce20c2435274e5dd568356a0ee82430">CBUFF_ENOMEM</a>&#160;&#160;&#160;(MMWAVE_ERRNO_CBUFF_BASE-2)</td></tr>
<tr class="memdesc:ga7ce20c2435274e5dd568356a0ee82430"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Out of memory. <br /></td></tr>
<tr class="separator:ga7ce20c2435274e5dd568356a0ee82430"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga751558a9821e23472818a5dc7a98ff8d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga751558a9821e23472818a5dc7a98ff8d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_b_u_f_f___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga751558a9821e23472818a5dc7a98ff8d">CBUFF_EINUSE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_CBUFF_BASE-3)</td></tr>
<tr class="memdesc:ga751558a9821e23472818a5dc7a98ff8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Operation cannot be implemented because the CBUFF driver is in use. <br /></td></tr>
<tr class="separator:ga751558a9821e23472818a5dc7a98ff8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga777d0128434ff470b3491bd8bc7f62be"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga777d0128434ff470b3491bd8bc7f62be"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_b_u_f_f___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga777d0128434ff470b3491bd8bc7f62be">CBUFF_ENOTSUP</a>&#160;&#160;&#160;(MMWAVE_ERRNO_CBUFF_BASE-4)</td></tr>
<tr class="memdesc:ga777d0128434ff470b3491bd8bc7f62be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Operation cannot be implemented because the CBUFF driver is not supporting this currently. <br /></td></tr>
<tr class="separator:ga777d0128434ff470b3491bd8bc7f62be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0655a9d7bfada880b3a0a3a7eedc4072"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga0655a9d7bfada880b3a0a3a7eedc4072"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_b_u_f_f___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga0655a9d7bfada880b3a0a3a7eedc4072">CBUFF_EDMA_FAIL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_CBUFF_BASE-5)</td></tr>
<tr class="memdesc:ga0655a9d7bfada880b3a0a3a7eedc4072"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: The application failed to provide the EDMA resources which are required by the CBUFF driver to support the application use case. <br /></td></tr>
<tr class="separator:ga0655a9d7bfada880b3a0a3a7eedc4072"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga539dbcab3891a25650ab1d4b2b755d5d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga539dbcab3891a25650ab1d4b2b755d5d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_b_u_f_f___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga539dbcab3891a25650ab1d4b2b755d5d">CBUFF_ELIMIT</a>&#160;&#160;&#160;(MMWAVE_ERRNO_CBUFF_BASE-6)</td></tr>
<tr class="memdesc:ga539dbcab3891a25650ab1d4b2b755d5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Limit exceeded. <br /></td></tr>
<tr class="separator:ga539dbcab3891a25650ab1d4b2b755d5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all the error codes which are generated by the CBUFF Driver module. </p>
<p>Base error code for the CBUFF module is defined in the </p><div class="fragment"><div class="line"></div><div class="line"><span class="preprocessor">#ifndef MMWAVE_ERROR_H</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERROR_H</span></div><div class="line"></div><div class="line"><span class="comment">/**************************************************************************</span></div><div class="line"><span class="comment"> * Base Error Code for the mmWave modules</span></div><div class="line"><span class="comment"> **************************************************************************/</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_UART_BASE               (-2000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRC_BASE                (-2100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_MAILBOX_BASE            (-2200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_PINMUX_BASE             (-2300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ADCBUF_BASE             (-2400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ESM_BASE                (-2500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SPI_BASE                (-2600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_DMA_BASE                (-2700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HWA_BASE                (-2800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SOC_BASE                (-2900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_EDMA_BASE               (-3000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_BASE                    (-3100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CSI_BASE                (-3200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CBUFF_BASE              (-3300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CAN_BASE                (-3400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CANFD_BASE              (-3500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPI_BASE               (-3600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPIFLASH_BASE          (-3700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_I2C_BASE                (-3800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_WATCHDOG_BASE           (-3900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HSI_HDR_BASE            (-4000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRYPTO_BASE             (-4100)</span></div><div class="line"></div><div class="line"><span class="preprocessor">#endif  </span><span class="comment">/* MMWAVE_ERROR_H */</span><span class="preprocessor"></span></div><div class="line"></div></div><!-- fragment --> </div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
